;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; term/locale.el for site-lisp path
;;; Copyright (c) 1996-2003 SuSE Linux AG Nuernberg, Germany.
;;;
;;; Author: Werner Fink  <werner@suse.de>, No warranty of any kind
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Umlaute
;; -------

(let* ((tmp (shell-command-to-string "locale charmap"))
       (tmp (substring tmp 0 (string-match "\[ \t\n\]" tmp)))
       (tmp (downcase tmp)))
  (when (coding-system-p (intern tmp))
    (set-keyboard-coding-system (intern tmp))
    (set-terminal-coding-system (intern tmp))
    (set-default-coding-systems (intern tmp))))
;; Set this only if no default is given
(unless (terminal-coding-system)
  (set-terminal-coding-system 'iso-latin-9))
;; Set input mode
(let ((value (current-input-mode)))
  (set-input-mode (nth 0 value)
		  (nth 1 value)
		  (terminal-coding-system)
		  ;; This quit value is optional
		  (nth 3 value)))

(add-hook 'term-setup-hook (function (lambda ()
				       (load "term/func-keys" t t))))
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Ende von locale.el
